package org.seamcat.model.types.result;

import java.util.ArrayList;
import java.util.List;

public class ResultTypes {

    private List<SingleValueTypes<?>> singleValueTypes;
    private List<VectorResultType> vectorResultTypes;
    private List<ScatterDiagramResultType> scatterDiagramResultTypes;

    public ResultTypes() {
        singleValueTypes = new ArrayList<SingleValueTypes<?>>();
        vectorResultTypes = new ArrayList<VectorResultType>();
        scatterDiagramResultTypes = new ArrayList<ScatterDiagramResultType>();
    }

    public List<SingleValueTypes<?>> getSingleValueTypes() {
        return singleValueTypes;
    }

    public List<VectorResultType> getVectorResultTypes() {
        return vectorResultTypes;
    }

    public List<ScatterDiagramResultType> getScatterDiagramResultTypes() {
        return scatterDiagramResultTypes;
    }
}
